Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1047160 - Please update php-aws-sdk
Summary: Please update php-aws-sdk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-aws-sdk
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joseph Marrero
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1039260
TreeView+ depends on / blocked
 
Reported: 2013-12-29 16:34 UTC by Shawn Iwinski
Modified: 2014-03-16 19:04 UTC (History)
2 users (show)

Fixed In Version: php-aws-sdk-2.5.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-03 03:07:18 UTC


Attachments (Terms of Use)

Description Shawn Iwinski 2013-12-29 16:34:25 UTC
Please update to the latest 2.4.x release (2.4.12 as of 2013-12-29) or the latest 2.5.x (2.5.0 as of 2013-12-29; contains some minor, backwards-incompatible changes) so I may update php-guzzle-Guzzle to its' latest release (3.8.0; bug 1039260).

Comment 1 Shawn Iwinski 2013-12-29 16:37:00 UTC
You may also want to add this pkg to Fedora's upstream release monitoring [1] so BZ tickets will get automatically opened when new versions are released.

[1] https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Joseph Marrero 2013-12-29 17:11:08 UTC
I will pushed the 2.5 release to rawhide updating f20 and f19 now.

Comment 3 Joseph Marrero 2013-12-29 17:11:39 UTC
I pushed the 2.5.0 release to rawhide*

Comment 4 Fedora Update System 2013-12-29 18:48:52 UTC
php-aws-sdk-2.5.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-aws-sdk-2.5.0-1.fc20

Comment 5 Fedora Update System 2013-12-29 18:48:59 UTC
php-aws-sdk-2.5.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-aws-sdk-2.5.0-1.fc19

Comment 6 Shawn Iwinski 2013-12-30 06:15:01 UTC
Also need to update the Guzzle max version require -- "php-guzzle-Guzzle < 3.8" => "php-guzzle-Guzzle < 3.9.0".  You should also update "php-symfony2-Yaml" => "php-symfony-yaml" (pkg rename) and make sure this library works w/ the "new" non-PEAR install of Symfony.

Comment 7 Shawn Iwinski 2013-12-30 08:05:35 UTC
I just updated php-Monolog to 1.7.0 and added a new "php-Monolog-dynamo" sub-package that you may want to require.

Comment 8 Joseph Marrero 2013-12-31 00:57:46 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=6343809

rawhide updated with the package 2.5.0-2 that has the deps fixed as you pointed out,thanks

I will play with the package tomorrow and fix any extra problem I may encounter and see if it plays well with the non pear symfony.

Comment 9 Joseph Marrero 2014-01-03 05:24:38 UTC
Now the files are there, for some reason when removing the aws.phar it removed the other files too. I Moved the aws.phar removal to the install seccion with the other unneaded files.

Comment 10 Fedora Update System 2014-02-21 03:27:49 UTC
php-aws-sdk-2.5.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-aws-sdk-2.5.2-1.fc20

Comment 11 Fedora Update System 2014-02-22 18:10:42 UTC
Package php-aws-sdk-2.5.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-aws-sdk-2.5.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2910/php-aws-sdk-2.5.2-1.fc20
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-03-03 03:07:18 UTC
php-aws-sdk-2.5.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Shawn Iwinski 2014-03-06 18:25:22 UTC
Would you also update F19 to the latest 2.4.x release?

Comment 14 Joseph Marrero 2014-03-16 19:03:42 UTC
Pushed 2.4.12 release to f19
please test if you can

Comment 15 Joseph Marrero 2014-03-16 19:04:11 UTC
also updated 2.5.3 on f20 and rawhide


Note You need to log in before you can comment on or make changes to this bug.